package com.sifang.modules.sunshine.fittingManager.dao;


import com.sifang.modules.sunshine.fittingManager.entity.PlantformFittingApplyMsg;
import com.sifang.modules.sys.common.persistence.BaseDao;
import org.hibernate.Query;
import org.springframework.stereotype.Repository;

@Repository
public class PlatformFittingApplymsgDao extends BaseDao<PlantformFittingApplyMsg> {

    public PlantformFittingApplyMsg findByApplyId(String aid) {
        Query query = getSession().createQuery("from PlantformFittingApplyMsg where fittingApplyId=:aid");
        query.setParameter("aid", aid);
        return (PlantformFittingApplyMsg) query.uniqueResult();
    }

}
